## mk-configure 0.37.0

=== doc/Makefile ===
FILES    =	../README.md INSTALL.md NEWS TODO LICENSE FAQ NOTES
FILESDIR =	${DOCDIR}

.include <mkc.mk>
