=== examples/calc/Makefile ===
PROG =		calc
SRCS =		calc.y

DPSRCS =	calc.c

.include "test.mk"
.include <mkc.prog.mk>
