=== examples/cxxlib/Makefile ===
PROJECTNAME =	hello_cxx

LIBDEPS =	cxxlib:cxxapp cxxlib2:cxxapp

.include "test.mk"
.include <mkc.subdir.mk>
