=== examples/libdeps/Makefile ===
LIBDEPS += libs/libfoo:libs/libfooqux
LIBDEPS += libs/libbar:progs/fooquxfoobar
LIBDEPS += libs/libfooqux:progs/fooquxfoobar
LIBDEPS += libs/libfoo:progs/foobaz libs/libbaz:progs/foobaz

.include "test.mk"
.include <mkc.mk>
