=== examples/raise_default_signal/Makefile ===
PROG =			prog
SRCS =			prog.c

WARNS =			4

MKC_FEATURES +=		raise_default_signal

MKC_REQD =		0.34.99

.include "test.mk"
.include <mkc.prog.mk>
