=== tests/cc_type_custom_check1/Makefile ===
MKC_CHECK_CUSTOM =	check

MKC_CUSTOM_FN.check = ../../examples/customtests/custom_tests/alloca_in_stdlib_h.c

.include "test.mk"
.include <mkc.mk>
