=== tests/cccxx_type/Makefile ===
.include "test.mk"

.include <mkc.minitest.mk>
.include <mkc.mk>
