=== debian/changelog ===
mk-configure (0.37.0-2) unstable; urgency=medium

  * Manually install by calling bmake directly.

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 01 Jan 2023 16:13:04 +0100

mk-configure (0.37.0-1) unstable; urgency=medium

  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 28 Dec 2022 16:43:55 +0100
