=== debian/control ===
Source: mk-configure
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 bmake (>= 20131001),
 debhelper-compat (= 12),
 ghostscript,
 graphviz,
 texlive-fonts-recommended,
 texlive-latex-extra,
 texlive-latex-recommended
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/mk-configure/
Vcs-Browser: https://salsa.debian.org/debian/mk-configure
Vcs-Git: https://salsa.debian.org/debian/mk-configure.git

Package: mk-configure
Architecture: all
Depends:
 bmake,
 ${misc:Depends}
Recommends:
 pkgconf | pkg-config
Description: lightweight replacement for GNU autotools
 mk-configure is a lightweight easy-to-use replacement for GNU autotools,
 written in bmake (portable version of NetBSD make) and POSIX tools (shell,
 awk etc).
