=== debian/rules ===
#!/usr/bin/make -f

export PREFIX := /usr
export SYSCONFDIR := /etc
export MANDIR := $(PREFIX)/share/man
export MKFILESDIR := $(PREFIX)/share/mk-configure/mk

%:
	dh $@ --buildsystem=bmake

override_dh_auto_clean:
	-dh_auto_clean
	bmake cleandir-presentation

override_dh_auto_build:
	dh_auto_build
	bmake pdf

override_dh_auto_install:
	bmake install DESTDIR=$(CURDIR)/debian/mk-configure

override_dh_auto_test:
	-bmake test

.PHONY: override_dh_auto_clean override_dh_auto_build override_dh_auto_test
